org.codehaus.groovy.binding

## Class EventTriggerBinding

- java.lang.Object
- - org.codehaus.groovy.binding.EventTriggerBinding

- All Implemented Interfaces:
    TriggerBinding

      public class EventTriggerBinding
      extends java.lang.Object
      implements TriggerBinding

  Since:
    Groovy 1.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventTriggerBinding(java.lang.Object triggerBean, java.lang.String eventName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FullBinding` | `createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)`
    `java.lang.String` | `getEventName()`
    `java.lang.Object` | `getTriggerBean()`
    `void` | `setEventName(java.lang.String eventName)`
    `void` | `setTriggerBean(java.lang.Object triggerBean)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventTriggerBinding

          public EventTriggerBinding(java.lang.Object triggerBean,
                             java.lang.String eventName)

  - ### Method Detail

    - #### createBinding

          public FullBinding createBinding(SourceBinding sourceBinding,
                                  TargetBinding targetBinding)

      Specified by:
        `createBinding` in interface `TriggerBinding`

    - #### getTriggerBean

          public java.lang.Object getTriggerBean()

    - #### setTriggerBean

          public void setTriggerBean(java.lang.Object triggerBean)

    - #### getEventName

          public java.lang.String getEventName()

    - #### setEventName

          public void setEventName(java.lang.String eventName)